
<!DOCTYPE html>
<html lang="en">
<head>

	<meta charset="UTF-8">
	<title>Metronic Documentation | Keenthemes</title>

	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

	<meta name="description" content="General documentation for developers about supported frameworks and used technologies"/>

	<meta name="keywords" content="metronic, admin themes, bootstrap admin theme, keen, themes, keenthemes, bootstrap, sass, css, css3, laravel, dashboard, HTML, html5, vue, vuejs, angular,
	react, javascript, datepicker, datatable, free admin themes, free templates, bootstrap admin, freebies, bootstrap themes, web design, web development, custom development, ASP.NET, premium themes"/>

	<link rel="canonical" href="https://keenthemes.com/metronic"/>
	<meta property="og:locale" content="en_US"/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="Premium Bootstrap 4 HTML, Angular 11, VueJS, React & Laravel Admin Dashboard Themes"/>
	<meta property="og:description" content="Metronic - #1 Selling Premium Bootstrap Admin Theme of All Time. Built with Twitter Bootstrap 4 HTML, Angular 11, VueJS, React and Laravel. Trusted By Tens of Thousands Users."/>
	<meta property="og:url" content="https://keenthemes.com/metronic"/>
	<meta property="og:site_name" content="Keenthemes"/>
	<meta property="article:publisher" content="https://www.facebook.com/keenthemes"/>
	<meta name="twitter:card" content="summary_large_image"/>
	<meta name="twitter:description" content="Metronic - #1 Selling Premium Bootstrap Admin Theme of All Time. Built with Twitter Bootstrap 4 HTML, Angular 11, VueJS, React and Laravel. Trusted By Tens of Thousands Users."/>
	<meta name="twitter:title" content="Premium Bootstrap 4 HTML, Angular 11, VueJS, React & Laravel Admin Dashboard Themes"/>
	<meta name="twitter:domain" content="Keenthemes"/>

	<link rel="shortcut icon" href="./assets/favicon.ico"/>

	<link href="./assets/style/flaticon.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/plugins/tiny-slider/dist/tiny-slider.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/style/style.css?v=7.2.3" rel="stylesheet" type="text/css"><link href="./assets/plugins/highlight.js/styles/railscasts.css" rel="stylesheet" type="text/css">	<script src="./assets/plugins/jquery/dist/jquery.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/tether/dist/js/tether.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/popper.js/dist/umd/popper.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/bootstrap/dist/js/bootstrap.min.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/perfect-scrollbar/dist/perfect-scrollbar.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/tiny-slider/dist/tiny-slider.js?v=7.2.3" type="application/javascript"></script><script src="./assets/js/custom.js?v=7.2.3" type="application/javascript"></script><script src="./assets/plugins/highlight.js/lib/highlight.js" type="application/javascript"></script><script src="./assets/plugins/highlight.js/build/highlight.pack.js" type="application/javascript"></script><script src="./assets/js/docs.js" type="application/javascript"></script>
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700">
</head>
<body>

<div class="wrapper"><!-- wrapper -->

	<!-- section -->
<section class="section section--header" >
	<!-- header -->
	<header>
		<div class="content">
			<div class="header__handler">
				<div class="sidebar">
					<span class="hamburger">
						<svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 129 129" enable-background="new 0 0 129 129" width="40px" height="40px">
							<g>
								<path d="m91.4,33.5h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
								<path d="m91.4,87.4h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
								<path d="m91.4,60.4h-53.8c-2.3,0-4.1,1.8-4.1,4.1 0,2.3 1.8,4.1 4.1,4.1h53.9c2.3,0 4.1-1.8 4.1-4.1-0.1-2.3-1.9-4.1-4.2-4.1z" fill="#FFFFFF"/>
							</g>
						</svg>
					</span>
                    <div class="sidebar__menu_wrap">
                        <span class="sidebar__menu_close">x</span>
                        <ul class="sidebar__menu"><li class="sidebar__menu__item"><a href="index.html" target="" title="Preview"><span>Preview</span></a></li><li class="sidebar__menu__item"><a href="faq.html" target="" title="Faq"><span>Faq</span></a></li><li class="sidebar__menu__item active"><a href="docs.html" target="" title="Docs"><span>Docs</span></a></li><li class="sidebar__menu__item"><a href="video.html" target="" title="Videos"><span>Videos</span></a></li><li class="sidebar__menu__item"><a href="changelog.html" target="" title="Changelog"><span>Changelog</span></a></li><li class="sidebar__menu__item"><a href="https://preview.keenthemes.com/metronic/?page=github" target="_blank" title="GitHub"><span>GitHub</span></a></li><li class="sidebar__menu__item"><a href="reviews.html" target="" title="Reviews"><span>Reviews</span></a></li><li class="sidebar__menu__item"><a href="https://keenthemes.com/tutorials/categories/metronic-admin" target="_blank" title="Tutorials"><span>Tutorials</span></a></li></ul>                    </div>
				</div>
				<a href="https://keenthemes.com" class="kt_logo"><img src="./assets/img/logo.png" alt="logo"></a>
			</div>
			<div class="header__references d-none d-md-block">
				<a href="https://keenthemes.com/" class="header__references_home">Home</a>
				<a href="https://keenthemes.com/metronic/" class="header__references_theme">Metronic</a>
				<a href="https://keenthemes.com/hireus/" class="header__references_hire" target="_blank">Hire Us</a>
				<a href="https://1.envato.market/EA4JP" class="header__references_purchase" target="_blank">Buy Now</a>
			</div>
		</div>
	</header>
	<!-- header END -->

	<!-- content -->
	<div class="content">
		<!-- intro -->
		<div class="intro">
			<img src="./assets/img/metronic_logo.svg" alt="logo">

			<span class="intro__subtitle">
				The World’s #1 Bootstrap 4 HTML, Angular 11, React, VueJS & Laravel<br/>Admin Dashboard Theme			</span>
		</div>
		<!-- intro END -->
	</div>
	<!-- content END -->
</section>
<!-- section END -->

<!-- section -->
<section class="section">
	<!-- curved -->
	<div class="curved-bg" style=" position: relative;margin-top: -55px;">
		<svg  width="100%" height="56px" viewBox="0 0 100 100" version="1.1" preserveAspectRatio="none" class="">
			<path d="M0,0 C16.6666667,66 33.3333333,99 50,99 C66.6666667,99 83.3333333,66 100,0 L100,100 L0,100 L0,0 Z" fill="white"/></path>
		</svg>
	</div>
	<!-- curved -->

	<!-- content -->
	<div class="content">
		<!-- main__menu_wrap -->
		<div class="main-menu-wrap">
			<div class="main-menu">
                <a class="main-link" href="index.html" target="" title="Preview">Preview</a><a class="main-link" href="faq.html" target="" title="Faq">Faq</a><a class="main-link active" href="docs.html" target="" title="Docs">Docs</a><a class="main-link" href="video.html" target="" title="Videos">Videos</a><a class="main-link" href="changelog.html" target="" title="Changelog">Changelog</a><a class="main-link" href="https://preview.keenthemes.com/metronic/?page=github" target="_blank" title="GitHub">GitHub</a><a class="main-link" href="reviews.html" target="" title="Reviews">Reviews</a><a class="main-link" href="https://keenthemes.com/tutorials/categories/metronic-admin" target="_blank" title="Tutorials">Tutorials</a>			</div>
		</div>
		<!-- main__menu_wrap END -->
	</div>
	<!-- content END -->
</section>
<!-- section END -->

	<div style="background: #F9F4EE;">
    <section class="section section--white">
	<!-- section -->
	<div id="docs" class="content">

		<div class="contents">
			<!-- contents -->

			<div class="doc-side-menu">
				<p>&nbsp;</p>
				<i class="la la-bars toggle-btn" data-toggle="collapse" data-target="#menu-content"></i>
				<div class="menu-list">
					<div class="min-vh-100" id="sidebar"><ul class="nav flex-column flex-nowrap menu-content" id="menu-content"><li class="nav-item menu-separator"><h4>VERSIONS</h4></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0b566e16" data-toggle="collapse" data-target="#a6049e0b566e16">HTML<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0b566e16" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0b56a1b5" data-toggle="collapse" data-target="#a6049e0b56a1b5">Quick Start<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0b56a1b5" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-quick-start.html">Gulp</a></li><li class="nav-item"><a class="nav-link" href="html-webpack-quick-start.html">Webpack</a></li></ul></div></li><li class="nav-item"><a class="nav-link" href="html-demos.html">Multi-Demo</a></li><li class="nav-item"><a class="nav-link" href="html-files-structure.html">Files Structure</a></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0b56a1e1" data-toggle="collapse" data-target="#a6049e0b56a1e1">Build Tools<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0b56a1e1" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-build-tools.html">Gulp</a></li><li class="nav-item"><a class="nav-link" href="html-webpack-build-tools.html">Webpack</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0b56a1f7" data-toggle="collapse" data-target="#a6049e0b56a1f7">Customization<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0b56a1f7" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-sass.html">SASS</a></li><li class="nav-item"><a class="nav-link" href="html-javascript.html">Javascript</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0b56a20b" data-toggle="collapse" data-target="#a6049e0b56a20b">Components<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0b56a20b" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="html-components-datatable.html">Datatable</a></li><li class="nav-item"><a class="nav-link" href="html-components-menu.html">Menu</a></li><li class="nav-item"><a class="nav-link" href="html-components-header.html">Header</a></li><li class="nav-item"><a class="nav-link" href="html-components-offcanvas.html">Offcanvas</a></li><li class="nav-item"><a class="nav-link" href="html-components-scrolltop.html">Scrolltop</a></li><li class="nav-item"><a class="nav-link" href="html-components-toggle.html">Toggle</a></li><li class="nav-item"><a class="nav-link" href="html-components-wizard.html">Wizard</a></li><li class="nav-item"><a class="nav-link" href="html-components-dialog.html">Dialog</a></li><li class="nav-item"><a class="nav-link" href="html-components-card.html">Card</a></li></ul></div></li><li class="nav-item"><a class="nav-link" href="html-rtl-version.html">RTL Version</a></li><li class="nav-item"><a class="nav-link" href="html-layout-builder.html">Layout Builder</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0b56a26c" data-toggle="collapse" data-target="#a6049e0b56a26c">Angular<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0b56a26c" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="angular-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="angular-installation.html">Installation</a></li><li class="nav-item"><a class="nav-link" href="angular-rtl.html">RTL</a></li><li class="nav-item"><a class="nav-link" href="angular-skeleton.html">Skeleton</a></li><li class="nav-item"><a class="nav-link" href="angular-i18n.html">Internationalization</a></li><li class="nav-item"><a class="nav-link" href="angular-mock-backend.html">Mock Backend</a></li><li class="nav-item"><a class="nav-link" href="angular-how-create-custom-page.html">Create a Page</a></li><li class="nav-item"><a class="nav-link" href="angular-deployment.html">Deployment</a></li><li class="nav-item"><a class="nav-link" href="crud-tables.html">CRUD + Tables</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0b56de3d" data-toggle="collapse" data-target="#a6049e0b56de3d">React<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0b56de3d" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="react-quick-start.html">Quick Start</a></li><li class="nav-item"><a class="nav-link" href="react-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="react-deployment.html">Deployment</a></li><li class="nav-item"><a class="nav-link" href="react-internationalization.html">Internationalization (i18n)</a></li><li class="nav-item"><a class="nav-link" href="react-mock-back-end.html">Mock Back-end</a></li><li class="nav-item"><a class="nav-link" href="react-create-a-page.html">Create a page</a></li><li class="nav-item"><a class="nav-link" href="react-rtl.html">RTL</a></li><li class="nav-item"><a class="nav-link" href="react-typescript.html">TypeScript</a></li><li class="nav-item"><a class="nav-link" href="react-skeleton.html">Skeleton</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0b56de83" data-toggle="collapse" data-target="#a6049e0b56de83">Vue<div class="arrow"></div></a><div class="sub-menu collapse" id="a6049e0b56de83" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="vue-quick-start.html">Quick Start</a></li><li class="nav-item"><a class="nav-link" href="vue-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="vue-rtl.html">RTL</a></li><li class="nav-item"><a class="nav-link" href="vue-i18n.html">Internationalization (i18n)</a></li><li class="nav-item"><a class="nav-link" href="vue-skeleton.html">Skeleton</a></li></ul></div></li><li class="nav-item"><a class="nav-link collapsed" href="#a6049e0b56dea8" data-toggle="collapse" data-target="#a6049e0b56dea8">Laravel<div class="arrow"></div></a><div class="sub-menu collapse show" id="a6049e0b56dea8" aria-expanded="false">
                        <ul class="flex-column nav"><li class="nav-item"><a class="nav-link" href="laravel-quick-start.html">Quick Start</a></li><li class="nav-item"><a class="nav-link" href="laravel-overview.html">Overview</a></li><li class="nav-item"><a class="nav-link" href="laravel-file-structure.html">File Structure</a></li><li class="nav-item"><a class="nav-link" href="laravel-config.html">Layout Config</a></li><li class="nav-item active"><a class="nav-link" href="laravel-menu-generator.html">Menu Generator</a></li><li class="nav-item"><a class="nav-link" href="vue-laravel-integration.html">Vue + Laravel Integration</a></li></ul></div></li><li class="nav-item menu-separator"><h4>GENERAL</h4></li><li class="nav-item"><a class="nav-link" href="github-access.html">GitHub Access</a></li><li class="nav-item"><a class="nav-link" href="update.html">Updates</a></li><li class="nav-item"><a class="nav-link" href="api-reference.html">API Reference</a></li><li class="nav-item"><a class="nav-link" href="net-integration.html">.NET Integration</a></li><li class="nav-item"><a class="nav-link" href="more-resources.html">More Resources</a></li><li class="nav-item"><a class="nav-link" href="references.html">References</a></li><li class="nav-item"><a class="nav-link" href="security-notice.html">Security Notice</a></li></ul></div>				</div>
			</div>

			<div class="contents__box contents__box--right">
				<!-- contents__box -->
				<div class="section">
    <h2 class="section-head">Laravel: Menu Generator</h2>

    <h3 class="section-title">Menu Rendering</h3>
    <div class="section-content">
        <p>
            Theme menu elements are rich of features including link styling, icons, href properties and so on.
            Writing menu nodes by hand might get a little too overwhelming and messy. Hence, we have implemented an automatic menu
            generator which is configured from the menu config files and rendered in the menu section for you.
        </p>

        <p class="alert alert-info">Menu config files file <code>config/menu_aside.php</code> and <code>config/menu_header.php</code> by default hold dummy data.</p>

        <p>
            Here's a basic example of the menu section and how to configure it.
        </p>

        <pre><code>&lt;?php
// Aside menu
return [

    'items' => [
        // Dashboard
        [
            'title' => 'Dashboard',
            'root' => true,
            'icon' => 'media/svg/icons/Design/Layers.svg', // or can be 'flaticon-home' or any flaticon-*
            'page' => '/',
            'new-tab' => false,
        ],
        // Custom
        [
            'section' => 'Custom',
        ],
        [
            'title' => 'Applications',
            'icon' => 'media/svg/icons/Layout/Layout-4-blocks.svg',
            'bullet' => 'line',
            'root' => true,
            'submenu' => [
                [
                    'title' => 'Users',
                    'bullet' => 'dot',
                    'submenu' => [
                        [
                            'title' => 'List - Default',
                            'page' => 'test',
                        ],
                        [
                            'title' => 'List - Datatable',
                            'page' => 'custom/apps/user/list-datatable'
                        ],
                        [
                            'title' => 'List - Columns 1',
                            'page' => 'custom/apps/user/list-columns-1'
                        ],
                        [
                            'title' => 'List - Columns 2',
                            'page' => 'custom/apps/user/list-columns-2'
                        ],
                        [
                            'title' => 'Add User',
                            'page' => 'custom/apps/user/add-user'
                        ],
                        [
                            'title' => 'Edit User',
                            'page' => 'custom/apps/user/edit-user'
                        ],
                    ]
                ],
...</code></pre>

        This part generates menu nodes as such <br><br>
        <img src="assets/img/docs/laravel/laravel_metronic_menu_aside_chunk.png" height="450" alt="Aside Menu">

        <div class="space"></div>

        <h3 class="section-title">Config values and descriptions</h3>

        <table class="table-list">
            <thead>
                <tr>
                    <th class="force-border">Key</th>
                    <th class="force-border">Description</th>
                    <th class="force-border">Available values</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td nowrap>'title'</td>
                    <td>link title</td>
                    <td>string</td>
                </tr>
                <tr>
                    <td nowrap>'page'</td>
                    <td>link url</td>
                    <td>slug type i.e '/my-blog'</td>
                </tr>
                <tr>
                    <td nowrap>'new-tab'</td>
                    <td>defines if link opens in new tab</td>
                    <td>true, false</td>
                </tr>
                <tr>
                    <td nowrap>'root'</td>
                    <td>defines if link is at root level</td>
                    <td>true, false</td>
                </tr>
                <tr>
                    <td nowrap>'section'</td>
                    <td>section heading</td>
                    <td>string</td>
                </tr>
                <tr>
                    <td nowrap>'icon'</td>
                    <td>menu icon</td>
                    <td>Icon file link or class. I.e. <a href="https://keenthemes.com/metronic/preview/demo1/components/icons/svg.html" target="_blank">SVG Icons</a> or <a href="https://keenthemes.com/metronic/preview/demo1/components/icons/flaticon.html" target="_blank">Flaticon</a></td>
                </tr>
                <tr>
                    <td nowrap>'bullet'</td>
                    <td>defines menu/submenu bullet style</td>
                    <td>line, dot</td>
                </tr>
                <tr>
                    <td nowrap>'submenu'</td>
                    <td>submenu node</td>
                    <td>array</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
			</div>
			<!-- contents END -->

		</div>
	</div>
</section><!-- section END -->
</div>


<footer >
    <div class="content-top">
        <div class="container">
            <div class="content-box">
                <div class="d-flex flex-column text-center py-4">
                    <span class="content-title mb-3">Need a Custom License?</span>
                    <span class="content-desc">
                        Learn more license options at<br/>
                        <a href="mailto:support@keenthemes.com" class="footer-email" target="_blank">support@keenthemes.com</a>
                    </span>
                    <div class="mt-4 d-none">
                        <a href="https://keenthemes.com/hireus/" target="_blank" class="btn btn-sm btn-danger pb-2 px-3">Get Quote</a>
                    </div>
                </div>

                <div class="line d-flex justify-content-center align-items-center">
                    <div></div>
                </div>

                <div class="d-flex flex-column text-center py-4">
                    <span class="content-title mb-3">Need a Custom Work?</span>
                    <span class="content-desc">
                        Send us request if you need Metronic<br/>
                        custom development
                    </span>
                    <div class="mt-4">
                        <a href="https://keenthemes.com/hireus/" target="_blank" class="btn btn-sm btn-primary py-2 px-3">Hire Us</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="content-bottom w-100 d-flex align-items-center">
        <div class="container">
            <div class="d-flex align-items-center justify-content-between">
                <div class="footer-logo">
                    <a class="kt_logo d-block" href="https://keenthemes.com"><img src="./assets/img/logo.png" alt="logo"></a>
                </div>
                <div class="d-flex align-items-center footer-references">
                    <a href="?page=faq" class="mr-4">FAQ</a>
                    <a href="https://1.envato.market/EA4JP" target="_blank">Buy Now</a>
                </div>
            </div>
        </div>
    </div>
</footer>

</div><!-- wrapper END -->
</body>
</html>